////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
// system02.c
// - Set the amout of logging information.
// - Write a custom message to the log window.
// - Exit cleanly with an error.
// - This example does not open a display.
////////////////////////////////////////////////////////////////////////////////


#include <tscope5.h>

int main()
{
	ts5_set_log_level(TS5_LOGLEVEL_1);
	ts5_log(TS5_LOGLEVEL_0, "a log message\n");
	ts5_fatal("an error message\n");	

	return 0;
}
