////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
/// \file serialport_internal.h
/// Declarations of internal serial port functions
////////////////////////////////////////////////////////////////////////////////

#pragma once

extern int _ts5_is_serialport_installed;


#ifdef __cplusplus
extern "C" {
#endif
	
void ts5_check_serialport(char *calling_function);
int ts5_check_serialport2(char *calling_function, char *portname);

void ts5_install_serialport(char *calling_function);
void ts5_uninstall_serialport();

void *ts5_serialport_threadfunc();

#ifdef __cplusplus
}
#endif

