////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
/// \file mouse.h
/// Declarations of mouse functions
////////////////////////////////////////////////////////////////////////////////

#pragma once


#ifdef __cplusplus
extern "C" {
#endif
	
int ts5_define_mouse_button(int button);
int ts5_get_num_mouse_buttons();

void ts5_show_mouse();
void ts5_hide_mouse();

void ts5_set_mouse_position(double x, double y);
void ts5_get_mouse_position(double *x, double *y);
double ts5_get_mouse_x();
double ts5_get_mouse_y();

void ts5_draw_mouse_button(double x, double y);

#ifdef __cplusplus
}
#endif

