////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
/// \file parport_internal.h
/// Declarations of internal parallel port functions
////////////////////////////////////////////////////////////////////////////////

#pragma once

extern int  _ts5_is_parport_installed;


#ifdef __cplusplus
extern "C" {
#endif
	
void ts5_check_parport(char *calling_function);
void ts5_check_parport2(char *calling_function);

void ts5_install_parport(char *calling_function);
void ts5_uninstall_parport();

void ts5_set_parport_trigger_input(char *calling_function, int device);
void ts5_set_parport_trigger_output(char *calling_function, int device);

void *ts5_parport_threadfunc();

#ifdef __cplusplus
}
#endif

