////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
/// \file primitives_internal.h
/// Declarations of internal primitives drawing functions
////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "system.h"

extern int  _ts5_is_primitives_installed;


#ifdef __cplusplus
extern "C" {
#endif

void ts5_check_primitives(char *calling_function);
void ts5_install_primitives(char *calling_function);
void ts5_uninstall_primitives();

#ifdef __cplusplus
}
#endif

